Bug 1734807 - [abrt] backintime-common: mountProcessLockAcquire(): mount.py:680:mountProcessLockAcquire:OSError: [Errno 28] No space left on device
Summary: [abrt] backintime-common: mountProcessLockAcquire(): mount.py:680:mountProces...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: backintime
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7e36f46d435aa83baa476ceebef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 13:49 UTC by Raphael Groner
Modified: 2019-07-31 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 13:55:08 UTC


Attachments (Terms of Use)
File: backtrace (1.74 KB, text/plain)
2019-07-31 13:49 UTC, Raphael Groner
no flags Details
File: cgroup (335 bytes, text/plain)
2019-07-31 13:49 UTC, Raphael Groner
no flags Details
File: cpuinfo (1.59 KB, text/plain)
2019-07-31 13:49 UTC, Raphael Groner
no flags Details
File: namespaces (129 bytes, text/plain)
2019-07-31 13:49 UTC, Raphael Groner
no flags Details

Description Raphael Groner 2019-07-31 13:49:23 UTC
Description of problem:
happened already for 12 times

Version-Release number of selected component:
backintime-common-1.2.0-3.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        python3 -Es /usr/share/backintime/common/backintime.py backup-job
crash_function: mountProcessLockAcquire
exception_type: OSError
executable:     /usr/share/backintime/common/backintime.py
interpreter:    python3-3.7.4-1.fc30.x86_64
kernel:         5.1.20-300.fc30.x86_64
type:           Python3

Truncated backtrace:
mount.py:680:mountProcessLockAcquire:OSError: [Errno 28] No space left on device

OSError: [Errno 28] No space left on device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/backintime/common/backintime.py", line 1165, in <module>
    startApp()
  File "/usr/share/backintime/common/backintime.py", line 517, in startApp
    args.func(args)
  File "/usr/share/backintime/common/backintime.py", line 755, in backupJob
    cli.BackupJobDaemon(backup, args).start()
  File "/usr/share/backintime/common/tools.py", line 2119, in start
    self.run()
  File "/usr/share/backintime/common/cli.py", line 233, in run
    self.func(self.args, False)
  File "/usr/share/backintime/common/backintime.py", line 739, in backup
    ret = takeSnapshot(cfg, force)
  File "/usr/share/backintime/common/backintime.py", line 94, in takeSnapshot
    ret = snapshots.Snapshots(cfg).backup(force)
  File "/usr/share/backintime/common/snapshots.py", line 643, in backup
    hash_id = mount.Mount(cfg = self.config).mount()
  File "/usr/share/backintime/common/mount.py", line 134, in mount
    return backend.mount(check = check)
  File "/usr/share/backintime/common/mount.py", line 409, in mount
    self.mountProcessLockAcquire()
  File "/usr/share/backintime/common/mount.py", line 680, in mountProcessLockAcquire
    f.write(self.pid)
OSError: [Errno 28] No space left on device

Local variables in innermost frame:
self: <sshtools.SSH object at 0x7f37c665f790>
timeout: 60
lock_path: '/home/raphael/.local/share/backintime/mnt'
lockSuffix: '.lock'
lock: '/home/raphael/.local/share/backintime/mnt/10292.lock'
count: 0
f: <_io.TextIOWrapper name='/home/raphael/.local/share/backintime/mnt/10292.lock' mode='w' encoding='UTF-8'>

Comment 1 Raphael Groner 2019-07-31 13:49:26 UTC
Created attachment 1595090 [details]
File: backtrace

Comment 2 Raphael Groner 2019-07-31 13:49:27 UTC
Created attachment 1595091 [details]
File: cgroup

Comment 3 Raphael Groner 2019-07-31 13:49:29 UTC
Created attachment 1595092 [details]
File: cpuinfo

Comment 4 Raphael Groner 2019-07-31 13:49:30 UTC
Created attachment 1595093 [details]
File: namespaces

Comment 5 Raphael Groner 2019-07-31 13:55:08 UTC
> mount.py:680:mountProcessLockAcquire:OSError: [Errno 28] No space left on device

Okay, this is strange. Backintime should not need that much space locally (except backup folder mounted manually from external storage in this case).


Note You need to log in before you can comment on or make changes to this bug.